---
title: "abs"
excerpt: "Compute the absolute value of a number."
layout: manual
---

Compute the absolute value of a number.



```js
abs(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
myAngle = -120

sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [8, 0])
  |> angledLine({ angle = abs(myAngle), length = 5 }, %)
  |> line(end = [-5, 0])
  |> angledLine({ angle = myAngle, length = 5 }, %)
  |> close()

baseExtrusion = extrude(sketch001, length = 5)
```

![Rendered example of abs 0](data:image/png;base64,[encoded data, 92724 characters])


